Name: clanbomber
Version: 1.03
Release: alt4

Summary: Clanbomber - free (GPL) Bomberman-like multiplayer game
License: GPL
Group: Games/Arcade
Url: http://clanbomber.sourceforge.net

Source: %url/files/ClanBomber.tar.bz2
Source1: %name.16.xpm
Source2: %name.32.xpm
Source3: %name.48.xpm
Source4: %name.menu

Patch0: %name-fix-gcc2.96-compile.patch
Patch1: ClanBomber-path.patch
Patch2: ClanBomber-x11.patch
Patch3: ClanBomber-display.patch

# Automatically added by buildreq on Thu Aug 30 2001
BuildRequires: clanlib-devel clanlib-mikmod clanlib-sound gcc-c++ libhermes-devel libmikmod-devel libstdc++-devel XFree86-libs zlib-devel

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep
%setup -q -n ClanBomber
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

perl -pi -e 's|\@datadir\@|\$(datadir)|' */Makefile.am */*/Makefile.am

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set

%define _optlevel 3
%add_optflags %optflags_kernel %optflags_fastmath
%remove_optflags %optflags_notraceback 

# Update files
./autogen.sh

%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir
# SMP-incompatible
make

%install
%makeinstall \
	bindir=$RPM_BUILD_ROOT%_gamesbindir \
	datadir=$RPM_BUILD_ROOT%_gamesdatadir

install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/*
%_gamesdatadir/*
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%doc AUTHORS README

%changelog
* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.03-alt4
- Rebuilt in new environment

* Thu Aug 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.03-alt3
- Rebuild with clanlib-0.6.3
- Fixed requires X display while compilation
- Fixed fullscreen

* Wed Jan 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.03-alt2
- Rebuild with clanlib-0.5.4

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.03-alt1
- 1.03 from CVS
- Rebuilt with clanlib 0.5.1

* Thu Aug 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.02-alt2
- Specfile minor cleanup.

* Wed Aug 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.02-alt1
- 1.02
- Some spec cleanup
- Added optimization

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 1.01-ipl12mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Wed Feb 21 2001 Kostya Timoshenko <kt@petr.kz> 1.01-ipl11mdk
- add 48x48 icon
- fix requires on launch_x11_clanapp

* Mon Jan 22 2001 Kostya Timoshenko <kt@petr.kz>
- add clanbomber-pkgdatadir.patch.bz2

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-9mdk
- rebuild to follow new lib policy of clanlib

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-8mdk
- recompile against newest libstdc++
- against lowercased hermes and clanlib

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-7mdk
- fix compile with gcc-2.96

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-6mdk
- menu: now launches automatically the x11 target

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-5mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.01-4mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-3mdk
- menu entry

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-2mdk
- added patch for support for mandrake keys (use MANDRAKE_KEYS envvar)

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-1mdk
- first package for Linux-Mandrake

